## cookiecutter 0.1.0

=== DESCRIPTION ===
Package: cookiecutter
Title: Generate Project Files from a Template
Version: 0.1.0
Authors@R: c(
    person(given = "Felix",
           family = "Henninger",
           role = c("aut", "cre", "cph"),
           email = "mailbox@felixhenninger.com",
           comment = c(ORCID = "0000-0002-7730-9511")),
    person("National Research Data Infrastructure Germany", role = c("fnd"))
  )
Description: Generate project files and directories following a pre-made template.
  You can specify variables to customize file names and content, and
  flexibly adapt the template to your needs. 'cookiecutter' for 'R'
  implements a subset of the excellent 'cookiecutter' package for the
  'Python' programming language (<https://github.com/cookiecutter/>), and
  aims to be largely compatible with the original 'cookiecutter' template
  format.
URL: https://github.com/felixhenninger/cookiecutter/,
        https://felixhenninger.github.io/cookiecutter/,
        https://github.com/FelixHenninger/cookiecutter
License: Apache License (>= 2)
Config/Needs/website: pkgdown, rmarkdown
Encoding: UTF-8
RoxygenNote: 7.2.3
Imports: fs, jsonlite, mime, purrr, readr, rlang, stringr, utils,
        whisker
BugReports: https://github.com/FelixHenninger/cookiecutter/issues
NeedsCompilation: no
Packaged: 2023-09-07 19:26:25 UTC; felix
Author: Felix Henninger [aut, cre, cph]
    (<https://orcid.org/0000-0002-7730-9511>),
  National Research Data Infrastructure Germany [fnd]
Maintainer: Felix Henninger <mailbox@felixhenninger.com>
Repository: CRAN
Date/Publication: 2023-09-08 07:00:02 UTC

## cookiecutter 0.6.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cookiecutter.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cookiecutter.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cookiecutter"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cookiecutter"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
cookiecutter (0.6.4-1) unstable; urgency=low

  * New upstream version.
     + Drop patch fixing jinja2 requirement.
     + Drop patch fixing unicode open with Python3.
  * Add python-binaryornot as a build-dep.

 -- Vincent Bernat <bernat@debian.org>  Sun, 08 Sep 2013 16:25:50 +0200

cookiecutter (0.6.1-1) unstable; urgency=low

  * Initial release. Closes: #720024.

 -- Vincent Bernat <bernat@debian.org>  Sat, 17 Aug 2013 22:01:52 +0200

=== debian/control ===
Source: cookiecutter
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-python,
               python-all, python3-all,
               python-sphinx (>= 1.0.7+dfsg),
               python-setuptools, python3-setuptools,
               python-jinja2, python3-jinja2,
               python-mock, python3-mock,
               python-binaryornot, python3-binaryornot
Standards-Version: 3.9.4
Homepage: https://github.com/audreyr/cookiecutter
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/cookiecutter/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/cookiecutter/trunk/

Package: cookiecutter
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
         python-cookiecutter (= ${binary:Version})
Description: create projects from project templates
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).

Package: python-cookiecutter
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: create projects from project templates (Python 2 module)
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).
 .
 This package contains the Python 2 module.

Package: python3-cookiecutter
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: create projects from project templates (Python 3 module)
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).
 .
 This package contains the Python 3 module.

Package: python-cookiecutter-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: create projects from project templates (documentation)
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export PYBUILD_DESTDIR_python2=debian/python-cookiecutter/
export PYBUILD_DESTDIR_python3=debian/python3-cookiecutter/
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ \
		debian/python-cookiecutter-doc/usr/share/doc/python-cookiecutter-doc/html/

override_dh_auto_clean:
	dh_auto_clean
	find . \( -name '*.py[co]' -or -name '\._*' -or -name '\.DS_Store' \) -delete

override_dh_install:
	dh_install
	# Move cookiecutter executable in its dedicated package
	mkdir debian/cookiecutter/usr
	mv debian/python-cookiecutter/usr/bin debian/cookiecutter/usr/.
	rm -rf debian/python-cookiecutter/usr/bin
	rm -rf debian/python3-cookiecutter/usr/bin

## cookiecutter 0.7.1

=== Makefile ===
.PHONY: clean-pyc clean-build docs

help:
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"
	@echo "lint - check style with flake8"
	@echo "test - run tests quickly with the default Python"
	@echo "testall - run tests on every Python version with tox"
	@echo "coverage - check code coverage quickly with the default Python"
	@echo "docs - generate Sphinx HTML documentation, including API docs"
	@echo "release - package and upload a release"
	@echo "sdist - package"

clean: clean-build clean-pyc

clean-build:
	rm -fr build/
	rm -fr dist/
	rm -fr *.egg-info

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

lint:
	flake8 cookiecutter tests

test:
	python setup.py test

test-all:
	tox

coverage:
	coverage run --source cookiecutter setup.py test
	coverage report -m
	coverage html
	open htmlcov/index.html

docs:
	rm -f docs/cookiecutter.rst
	sphinx-apidoc -o docs/ cookiecutter
	rm -f docs/modules.rst
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	open docs/_build/html/index.html

release: clean
	python setup.py sdist upload

sdist: clean
	python setup.py sdist
	ls -l dist

=== debian/changelog ===
cookiecutter (0.7.1-1) unstable; urgency=low

  * New upstream release. Closes: #733567.
     + Drop all patches are that are not needed any more.
     + Build-Depends on python{,3}-yaml.
  * Add patch to disable network tests.
  * Add patch to handle .DS_Store (stripped by svn-upgrade).

 -- Vincent Bernat <bernat@debian.org>  Sun, 27 Apr 2014 12:01:02 +0200

## cookiecutter 0.7.2

=== Makefile ===
--- 
+++ 
@@ -32,6 +32,7 @@
 test-all:
 	tox
 
+
 coverage:
 	coverage run --source cookiecutter setup.py test
 	coverage report -m
@@ -44,6 +45,7 @@
 	rm -f docs/modules.rst
 	$(MAKE) -C docs clean
 	$(MAKE) -C docs html
+	make contributing
 	open docs/_build/html/index.html
 
 release: clean
@@ -52,3 +54,20 @@
 sdist: clean
 	python setup.py sdist
 	ls -l dist
+
+contributing:
+	rm CONTRIBUTING.rst
+	touch CONTRIBUTING.rst
+	cat docs/contributing.rst >> CONTRIBUTING.rst
+	echo "\r\r" >> CONTRIBUTING.rst
+	cat docs/types_of_contributions.rst >> CONTRIBUTING.rst
+	echo "\r\r" >> CONTRIBUTING.rst
+	cat docs/contributor_setup.rst >> CONTRIBUTING.rst
+	echo "\r\r" >> CONTRIBUTING.rst
+	cat docs/contributor_guidelines.rst >> CONTRIBUTING.rst
+	echo "\r\r" >> CONTRIBUTING.rst
+	cat docs/contributor_tips.rst >> CONTRIBUTING.rst
+	echo "\r\r" >> CONTRIBUTING.rst
+	cat docs/core_committer_guide.rst >> CONTRIBUTING.rst
+	echo "\r\rAutogenerated from the docs via \`make contributing\`" >> CONTRIBUTING.rst
+	echo "WARNING: Don't forget to replace any :ref: statements with literal names"

=== debian/changelog ===
cookiecutter (0.7.2-1) unstable; urgency=medium

  * New upstream release
     + Drop network related patch, not needed anymore.

 -- Vincent Bernat <bernat@debian.org>  Sun, 28 Sep 2014 10:00:14 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                python-setuptools, python3-setuptools,
                python-jinja2, python3-jinja2,
                python-mock, python3-mock,
-               python-binaryornot, python3-binaryornot
-Standards-Version: 3.9.4
+               python-binaryornot, python3-binaryornot,
+               python-yaml, python3-yaml
+Standards-Version: 3.9.5
 Homepage: https://github.com/audreyr/cookiecutter
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/cookiecutter/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/cookiecutter/trunk/

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export PYBUILD_DESTDIR_python2=debian/python-cookiecutter/
 export PYBUILD_DESTDIR_python3=debian/python3-cookiecutter/
 export LC_ALL=C.UTF-8
+export DISABLE_NETWORK_TESTS=1
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

## cookiecutter 1.0.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 	@echo "clean-pyc - remove Python file artifacts"
 	@echo "lint - check style with flake8"
 	@echo "test - run tests quickly with the default Python"
-	@echo "testall - run tests on every Python version with tox"
+	@echo "test-all - run tests on every Python version with tox"
 	@echo "coverage - check code coverage quickly with the default Python"
 	@echo "docs - generate Sphinx HTML documentation, including API docs"
 	@echo "release - package and upload a release"
@@ -49,12 +49,15 @@
 	open docs/_build/html/index.html
 
 release: clean
-	python setup.py sdist upload
+	python setup.py sdist bdist_wheel upload
 
 sdist: clean
 	python setup.py sdist
 	ls -l dist
 
+wheel: clean
+	python setup.py bdist_wheel
+	ls -l dist
 contributing:
 	rm CONTRIBUTING.rst
 	touch CONTRIBUTING.rst
@@ -66,7 +69,7 @@
 	echo "\r\r" >> CONTRIBUTING.rst
 	cat docs/contributor_guidelines.rst >> CONTRIBUTING.rst
 	echo "\r\r" >> CONTRIBUTING.rst
-	cat docs/contributor_tips.rst >> CONTRIBUTING.rst
+	cat docs/contributor_testing.rst >> CONTRIBUTING.rst
 	echo "\r\r" >> CONTRIBUTING.rst
 	cat docs/core_committer_guide.rst >> CONTRIBUTING.rst
 	echo "\r\rAutogenerated from the docs via \`make contributing\`" >> CONTRIBUTING.rst

=== debian/changelog ===
cookiecutter (1.0.0-3ubuntu2) xenial; urgency=medium

  * Remove the manual dependency renaming.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Oct 2015 18:27:56 +0200

cookiecutter (1.0.0-3ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - (Build-)depend on python-click-cli instead of python-click.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Oct 2015 17:56:06 +0200

cookiecutter (1.0.0-3) unstable; urgency=medium

  * Update click patch to accept any version.

 -- Vincent Bernat <bernat@debian.org>  Thu, 27 Aug 2015 19:24:12 +0200

cookiecutter (1.0.0-2ubuntu1) wily; urgency=medium

  * Build-depend on python-click-cli instead of python-click.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2015 21:20:03 +0200

cookiecutter (1.0.0-2) unstable; urgency=medium

  * Add a patch for compatibility with click 4.x. Closes: #793525.

 -- Vincent Bernat <bernat@debian.org>  Fri, 24 Jul 2015 22:17:54 +0200

cookiecutter (1.0.0-1) unstable; urgency=medium

  * New upstream release
     + Refresh patch.
     + Depends on pytest to run tests.
     + Depends on python-click for CLI. Install git as well.
  * Bump Standards-Version. No changes.

 -- Vincent Bernat <bernat@debian.org>  Sun, 26 Apr 2015 17:36:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,17 @@
 Maintainer: Vincent Bernat <bernat@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.0.50~), dh-python,
+               git,
                python-all, python3-all,
                python-sphinx (>= 1.0.7+dfsg),
                python-setuptools, python3-setuptools,
                python-jinja2, python3-jinja2,
                python-mock, python3-mock,
                python-binaryornot, python3-binaryornot,
-               python-yaml, python3-yaml
-Standards-Version: 3.9.5
+               python-yaml, python3-yaml,
+               python-pytest, python3-pytest,
+               python-click-cli, python3-click-cli
+Standards-Version: 3.9.6
 Homepage: https://github.com/audreyr/cookiecutter
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/cookiecutter/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/cookiecutter/trunk/

## cookiecutter 1.3.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,15 @@
 .PHONY: clean-pyc clean-build docs
+define BROWSER_PYSCRIPT
+import os, webbrowser, sys
+try:
+	from urllib import pathname2url
+except:
+	from urllib.request import pathname2url
+
+webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
+endef
+export BROWSER_PYSCRIPT
+BROWSER := python -c "$$BROWSER_PYSCRIPT"
 
 help:
 	@echo "clean-build - remove build artifacts"
@@ -27,17 +38,15 @@
 	flake8 cookiecutter tests
 
 test:
-	python setup.py test
+	tox -e py
 
 test-all:
 	tox
 
 
 coverage:
-	coverage run --source cookiecutter setup.py test
-	coverage report -m
-	coverage html
-	open htmlcov/index.html
+	tox -e cov-report
+	$(BROWSER) htmlcov/index.html
 
 docs:
 	rm -f docs/cookiecutter.rst
@@ -46,7 +55,10 @@
 	$(MAKE) -C docs clean
 	$(MAKE) -C docs html
 	make contributing
-	open docs/_build/html/index.html
+	$(BROWSER) docs/_build/html/index.html
+
+servedocs: docs
+	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .
 
 release: clean
 	python setup.py sdist bdist_wheel upload

=== debian/changelog ===
cookiecutter (1.3.0-2) unstable; urgency=medium

  * Really depends on python{,3}-ruamel.yaml. Somehow, the previous
    version was not uploaded correctly. Closes: #808382.

 -- Vincent Bernat <bernat@debian.org>  Sun, 20 Dec 2015 23:27:14 +0100

cookiecutter (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Explicitely depends on python{,3}-ruamel.yaml as this is a conditional
    depends that cannot be solved by pybuild yet.

 -- Vincent Bernat <bernat@debian.org>  Sat, 05 Dec 2015 17:10:15 +0100

cookiecutter (1.2.1-1) unstable; urgency=medium

  * New upstream release.
     + Drop all current patches.
     + Complete build-dependencies (future, whichcraft, pytest-mock,
       ruamel.yaml).
  * d/rules: use PYBUILD_NAME.
  * d/rules: enforce use of py.test for tests.

 -- Vincent Bernat <bernat@debian.org>  Mon, 30 Nov 2015 09:10:51 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,16 @@
                python-jinja2, python3-jinja2,
                python-mock, python3-mock,
                python-binaryornot, python3-binaryornot,
-               python-yaml, python3-yaml,
+               python-ruamel.yaml, python3-ruamel.yaml,
                python-pytest, python3-pytest,
-               python-click-cli, python3-click-cli
+               python-pytest-mock, python3-pytest-mock,
+               python-click, python3-click,
+               python-future, python3-future,
+               python-whichcraft, python3-whichcraft
 Standards-Version: 3.9.6
 Homepage: https://github.com/audreyr/cookiecutter
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/cookiecutter/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/cookiecutter/trunk/
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/cookiecutter.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/cookiecutter.git
 
 Package: cookiecutter
 Architecture: all
@@ -35,7 +38,7 @@
 
 Package: python-cookiecutter
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, python-ruamel.yaml (>= 0.10.12)
 Description: create projects from project templates (Python 2 module)
  Cookiecutter is command-line utility that creates projects from
  project templates, e.g. creating a Python package project from a
@@ -50,7 +53,7 @@
 
 Package: python3-cookiecutter
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${misc:Depends}, python3-ruamel.yaml (>= 0.10.12)
 Description: create projects from project templates (Python 3 module)
  Cookiecutter is command-line utility that creates projects from
  project templates, e.g. creating a Python package project from a

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 
-export PYBUILD_DESTDIR_python2=debian/python-cookiecutter/
-export PYBUILD_DESTDIR_python3=debian/python3-cookiecutter/
+export PYBUILD_NAME=cookiecutter
+export PYBUILD_TEST_PYTEST=1
 export LC_ALL=C.UTF-8
 export DISABLE_NETWORK_TESTS=1

## cookiecutter 1.4.0

=== debian/changelog ===
cookiecutter (1.4.0-3) unstable; urgency=medium

  * Make the build reproducible by avoiding nondeterministic kwargs.
    Closes: #834861.
  * Change section for "cookiecutter" binary package to "devel".
    Closes: #832198.
  * Remove any privacy-breach images from documentation. Closes: #836159.

 -- Vincent Bernat <bernat@debian.org>  Tue, 25 Oct 2016 08:54:22 +0200

cookiecutter (1.4.0-2) unstable; urgency=medium

  * Build-Depends on python-sphinx-rtd-theme. Closes: #829364.

 -- Vincent Bernat <bernat@debian.org>  Sun, 03 Jul 2016 09:09:52 +0200

cookiecutter (1.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Vincent Bernat ]
  * New upstream version.
  * Update build-dependencies.
  * Add a patch to use PyYAML instead of poyo.
  * Bump Standards-Version. No changes.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 May 2016 15:10:58 +0200

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,26 @@
 Build-Depends: debhelper (>= 7.0.50~), dh-python,
                git,
                python-all, python3-all,
-               python-sphinx (>= 1.0.7+dfsg),
+               python-sphinx (>= 1.0.7+dfsg), python-sphinx-rtd-theme,
                python-setuptools, python3-setuptools,
                python-jinja2, python3-jinja2,
+               python-jinja2-time, python3-jinja2-time,
                python-mock, python3-mock,
                python-binaryornot, python3-binaryornot,
-               python-ruamel.yaml, python3-ruamel.yaml,
+               python-yaml, python3-yaml,
                python-pytest, python3-pytest,
                python-pytest-mock, python3-pytest-mock,
                python-click, python3-click,
                python-future, python3-future,
-               python-whichcraft, python3-whichcraft
-Standards-Version: 3.9.6
+               python-whichcraft, python3-whichcraft,
+               python-freezegun, python3-freezegun
+Standards-Version: 3.9.8
 Homepage: https://github.com/audreyr/cookiecutter
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/cookiecutter.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/cookiecutter.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/cookiecutter.git
 
 Package: cookiecutter
+Section: devel
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends},
          python-cookiecutter (= ${binary:Version})

## cookiecutter 1.5.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-.PHONY: clean-pyc clean-build docs
+.PHONY: clean-tox clean-pyc clean-build docs
 define BROWSER_PYSCRIPT
 import os, webbrowser, sys
 try:
@@ -14,6 +14,7 @@
 help:
 	@echo "clean-build - remove build artifacts"
 	@echo "clean-pyc - remove Python file artifacts"
+	@echo "clean-tox - remove tox testing artifacts"
 	@echo "lint - check style with flake8"
 	@echo "test - run tests quickly with the default Python"
 	@echo "test-all - run tests on every Python version with tox"
@@ -21,8 +22,9 @@
 	@echo "docs - generate Sphinx HTML documentation, including API docs"
 	@echo "release - package and upload a release"
 	@echo "sdist - package"
+	@echo "submodules - pull and update git submodules recursively"
 
-clean: clean-build clean-pyc
+clean: clean-tox clean-build clean-pyc
 
 clean-build:
 	rm -fr build/
@@ -30,9 +32,12 @@
 	rm -fr *.egg-info
 
 clean-pyc:
-	find . -name '*.pyc' -exec rm -f {} +
-	find . -name '*.pyo' -exec rm -f {} +
+	find . -type d -name '__pycache__' -exec rm -rf {} +
+	find . -type f -name '*.py[co]' -exec rm -f {} +
 	find . -name '*~' -exec rm -f {} +
+
+clean-tox:
+	rm -rf .tox/
 
 lint:
 	flake8 cookiecutter tests
@@ -47,6 +52,10 @@
 coverage:
 	tox -e cov-report
 	$(BROWSER) htmlcov/index.html
+
+submodules:
+	git pull --recurse-submodules
+	git submodule update --init --recursive
 
 docs:
 	rm -f docs/cookiecutter.rst

=== debian/changelog ===
cookiecutter (1.5.0-2) unstable; urgency=medium

  [ Ben Finney ]
  * Add “Suggests: python-cookiecutter-doc” dependency.
    Closes: bug#85338.
  * Add “Suggests” to the documentation package for any of the code
    packages.

 -- Vincent Bernat <bernat@debian.org>  Sun, 06 Aug 2017 17:31:25 +0200

cookiecutter (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper 9.

 -- Vincent Bernat <bernat@debian.org>  Sun, 25 Dec 2016 20:59:55 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-python,
+Build-Depends: debhelper (>= 9), dh-python,
                git,
                python-all, python3-all,
                python-sphinx (>= 1.0.7+dfsg), python-sphinx-rtd-theme,
@@ -15,6 +15,7 @@
                python-yaml, python3-yaml,
                python-pytest, python3-pytest,
                python-pytest-mock, python3-pytest-mock,
+               python-pytest-catchlog, python3-pytest-catchlog,
                python-click, python3-click,
                python-future, python3-future,
                python-whichcraft, python3-whichcraft,
@@ -29,6 +30,7 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends},
          python-cookiecutter (= ${binary:Version})
+Suggests: python-cookiecutter-doc
 Description: create projects from project templates
  Cookiecutter is command-line utility that creates projects from
  project templates, e.g. creating a Python package project from a
@@ -42,6 +44,7 @@
 Package: python-cookiecutter
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-ruamel.yaml (>= 0.10.12)
+Suggests: python-cookiecutter-doc
 Description: create projects from project templates (Python 2 module)
  Cookiecutter is command-line utility that creates projects from
  project templates, e.g. creating a Python package project from a
@@ -57,6 +60,7 @@
 Package: python3-cookiecutter
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-ruamel.yaml (>= 0.10.12)
+Suggests: python-cookiecutter-doc
 Description: create projects from project templates (Python 3 module)
  Cookiecutter is command-line utility that creates projects from
  project templates, e.g. creating a Python package project from a
@@ -73,6 +77,8 @@
 Section: doc
 Architecture: all
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Suggests:
+    cookiecutter | python3-cookiecutter | python-cookiecutter
 Description: create projects from project templates (documentation)
  Cookiecutter is command-line utility that creates projects from
  project templates, e.g. creating a Python package project from a

## cookiecutter 1.5.1

=== Makefile ===
--- 
+++ 
@@ -83,15 +83,15 @@
 	rm CONTRIBUTING.rst
 	touch CONTRIBUTING.rst
 	cat docs/contributing.rst >> CONTRIBUTING.rst
-	echo "\r\r" >> CONTRIBUTING.rst
+	echo "\n\n" >> CONTRIBUTING.rst
 	cat docs/types_of_contributions.rst >> CONTRIBUTING.rst
-	echo "\r\r" >> CONTRIBUTING.rst
+	echo "\n\n" >> CONTRIBUTING.rst
 	cat docs/contributor_setup.rst >> CONTRIBUTING.rst
-	echo "\r\r" >> CONTRIBUTING.rst
+	echo "\n\n" >> CONTRIBUTING.rst
 	cat docs/contributor_guidelines.rst >> CONTRIBUTING.rst
-	echo "\r\r" >> CONTRIBUTING.rst
+	echo "\n\n" >> CONTRIBUTING.rst
 	cat docs/contributor_testing.rst >> CONTRIBUTING.rst
-	echo "\r\r" >> CONTRIBUTING.rst
+	echo "\n\n" >> CONTRIBUTING.rst
 	cat docs/core_committer_guide.rst >> CONTRIBUTING.rst
-	echo "\r\rAutogenerated from the docs via \`make contributing\`" >> CONTRIBUTING.rst
+	echo "\n\nAutogenerated from the docs via \`make contributing\`" >> CONTRIBUTING.rst
 	echo "WARNING: Don't forget to replace any :ref: statements with literal names"

=== debian/changelog ===
cookiecutter (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump Standards-Version.
  * Refresh patches after git-dpm to gbp pq conversion

 -- Vincent Bernat <bernat@debian.org>  Sat, 16 Sep 2017 16:37:39 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python-future, python3-future,
                python-whichcraft, python3-whichcraft,
                python-freezegun, python3-freezegun
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/audreyr/cookiecutter
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/cookiecutter.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/cookiecutter.git

## cookiecutter 1.6.0

=== Makefile ===
PYPI_SERVER = pypitest

define BROWSER_PYSCRIPT
import os, webbrowser, sys
try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT
BROWSER := python -c "$$BROWSER_PYSCRIPT"

.DEFAULT_GOAL := help

.PHONY: clean-tox
clean-tox: ## Remove tox testing artifacts
	@echo "+ $@"
	@rm -rf .tox/

.PHONY: clean-build
clean-build: ## Remove build artifacts
	@echo "+ $@"
	@rm -fr build/
	@rm -fr dist/
	@rm -fr *.egg-info

.PHONY: clean-pyc
clean-pyc: ## Remove Python file artifacts
	@echo "+ $@"
	@find . -type d -name '__pycache__' -exec rm -rf {} +
	@find . -type f -name '*.py[co]' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +

.PHONY: clean
clean: clean-tox clean-build clean-pyc ## Remove all file artifacts

.PHONY: lint
lint: ## Check code style with flake8
	@echo "+ $@"
	@tox -e flake8

.PHONY: test
test: ## Run tests quickly with the default Python
	@echo "+ $@"
	@tox -e py

.PHONY: test-all
test-all: ## Run tests on every Python version with tox
	@echo "+ $@"
	@tox

.PHONY: coverage
coverage: ## Check code coverage quickly with the default Python
	@echo "+ $@"
	@tox -e cov-report
	@$(BROWSER) htmlcov/index.html

.PHONY: docs
docs: ## Generate Sphinx HTML documentation, including API docs
	@echo "+ $@"
	@rm -f docs/cookiecutter.rst
	@sphinx-apidoc -o docs/ cookiecutter
	@rm -f docs/modules.rst
	@$(MAKE) -C docs clean
	@$(MAKE) -C docs html
	@$(MAKE) contributing
	@$(BROWSER) docs/_build/html/index.html

.PHONY: servedocs
servedocs: docs ## Rebuild docs automatically
	@echo "+ $@"
	@watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

.PHONY: submodules
submodules: ## Pull and update git submodules recursively
	@echo "+ $@"
	@git pull --recurse-submodules
	@git submodule update --init --recursive

.PHONY: release
release: clean ## Package and upload release
	@echo "+ $@"
	@python setup.py sdist bdist_wheel
	@twine upload -r $(PYPI_SERVER) dist/*

.PHONY: sdist
sdist: clean ## Build sdist distribution
	@echo "+ $@"
	@python setup.py sdist
	@ls -l dist

.PHONY: wheel
wheel: clean ## Build bdist_wheel distribution
	@echo "+ $@"
	@python setup.py bdist_wheel
	@ls -l dist

.PHONY: contributing
contributing: ## Generate CONTRIBUTING.rst
	@echo "+ $@"
	@rm CONTRIBUTING.rst
	@touch CONTRIBUTING.rst
	@cat docs/contributing.rst >> CONTRIBUTING.rst
	@echo "\n\n" >> CONTRIBUTING.rst
	@cat docs/types_of_contributions.rst >> CONTRIBUTING.rst
	@echo "\n\n" >> CONTRIBUTING.rst
	@cat docs/contributor_setup.rst >> CONTRIBUTING.rst
	@echo "\n\n" >> CONTRIBUTING.rst
	@cat docs/contributor_guidelines.rst >> CONTRIBUTING.rst
	@echo "\n\n" >> CONTRIBUTING.rst
	@cat docs/contributor_testing.rst >> CONTRIBUTING.rst
	@echo "\n\n" >> CONTRIBUTING.rst
	@cat docs/core_committer_guide.rst >> CONTRIBUTING.rst
	@echo "\n\nAutogenerated from the docs via \`make contributing\`" >> CONTRIBUTING.rst
	@echo "WARNING: Don't forget to replace any :ref: statements with literal names"

.PHONY: help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-16s\033[0m %s\n", $$1, $$2}'

=== docs/requirements.txt ===
watchdog==0.8.3
sphinx-rtd-theme==0.1.9

=== debian/changelog ===
cookiecutter (1.6.0-3) unstable; urgency=medium

  [ Vincent Bernat ]
  * Switch to Python 3 for cookiecutter package. Closes: #902869.
  * Patch test suite to work with unreleased version of python-click.
    Closes: #908687.

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- Vincent Bernat <bernat@debian.org>  Wed, 10 Oct 2018 06:54:16 +0200

cookiecutter (1.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Gianfranco Costamagna ]
  * Bump std-version to 4.1.3, no changes required.
  * Team upload.
  * Apply changes of 1.5.1-2 on top of 1.6.0
  * Drop catchlog dependency (Closes: #894533)
    - Enforce minimum pytest version

 -- Ondřej Nový <onovy@debian.org>  Tue, 13 Feb 2018 10:18:33 +0100

cookiecutter (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: bump Standards-Version.
  * d/control: build-depends on python*-pytest-cov.
  * d/control: build-depends on python3-sphinx.
  * d/patches: update privacy breach patch.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Nov 2017 15:40:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,30 +6,31 @@
 Build-Depends: debhelper (>= 9), dh-python,
                git,
                python-all, python3-all,
-               python-sphinx (>= 1.0.7+dfsg), python-sphinx-rtd-theme,
+               python3-sphinx (>= 1.0.7+dfsg), python3-sphinx-rtd-theme,
                python-setuptools, python3-setuptools,
                python-jinja2, python3-jinja2,
                python-jinja2-time, python3-jinja2-time,
                python-mock, python3-mock,
                python-binaryornot, python3-binaryornot,
                python-yaml, python3-yaml,
-               python-pytest, python3-pytest,
+               python-pytest (>= 3.3.0), python3-pytest (>= 3.3.0),
                python-pytest-mock, python3-pytest-mock,
-               python-pytest-catchlog, python3-pytest-catchlog,
+               python-pytest-cov, python3-pytest-cov,
                python-click, python3-click,
                python-future, python3-future,
                python-whichcraft, python3-whichcraft,
-               python-freezegun, python3-freezegun
-Standards-Version: 4.0.0
+               python-freezegun, python3-freezegun,
+               python-requests, python3-requests
+Standards-Version: 4.1.3
 Homepage: https://github.com/audreyr/cookiecutter
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/cookiecutter.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/cookiecutter.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/cookiecutter.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/cookiecutter
 
 Package: cookiecutter
 Section: devel
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends},
-         python-cookiecutter (= ${binary:Version})
+Depends: ${python3:Depends}, ${misc:Depends},
+         python3-cookiecutter (= ${binary:Version})
 Suggests: python-cookiecutter-doc
 Description: create projects from project templates
  Cookiecutter is command-line utility that creates projects from

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 override_dh_installdocs:
 	dh_installdocs
-	PYTHONPATH=. sphinx-build -N -q -E -b html docs/ \
+	PYTHONPATH=. python3 -m sphinx -N -q -E -b html docs/ \
 		debian/python-cookiecutter-doc/usr/share/doc/python-cookiecutter-doc/html/
 
 override_dh_auto_clean:
@@ -22,6 +22,8 @@
 	dh_install
 	# Move cookiecutter executable in its dedicated package
 	mkdir debian/cookiecutter/usr
-	mv debian/python-cookiecutter/usr/bin debian/cookiecutter/usr/.
+	mv debian/python3-cookiecutter/usr/bin debian/cookiecutter/usr/.
 	rm -rf debian/python-cookiecutter/usr/bin
 	rm -rf debian/python3-cookiecutter/usr/bin
+	# Remove coverage files
+	rm debian/python*-cookiecutter/usr/lib/python*/dist-packages/.coverage

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/cookiecutter-$1.tar.gz/ \
  https://github.com/audreyr/cookiecutter/releases .*/v?(\d\S*)\.tar\.gz

## cookiecutter 1.7.3

=== Makefile ===
--- 
+++ 
@@ -65,7 +65,6 @@
 	@rm -f docs/modules.rst
 	@$(MAKE) -C docs clean
 	@$(MAKE) -C docs html
-	@$(MAKE) contributing
 	@$(BROWSER) docs/_build/html/index.html
 
 .PHONY: servedocs
@@ -97,25 +96,6 @@
 	@python setup.py bdist_wheel
 	@ls -l dist
 
-.PHONY: contributing
-contributing: ## Generate CONTRIBUTING.rst
-	@echo "+ $@"
-	@rm CONTRIBUTING.rst
-	@touch CONTRIBUTING.rst
-	@cat docs/contributing.rst >> CONTRIBUTING.rst
-	@echo "\n\n" >> CONTRIBUTING.rst
-	@cat docs/types_of_contributions.rst >> CONTRIBUTING.rst
-	@echo "\n\n" >> CONTRIBUTING.rst
-	@cat docs/contributor_setup.rst >> CONTRIBUTING.rst
-	@echo "\n\n" >> CONTRIBUTING.rst
-	@cat docs/contributor_guidelines.rst >> CONTRIBUTING.rst
-	@echo "\n\n" >> CONTRIBUTING.rst
-	@cat docs/contributor_testing.rst >> CONTRIBUTING.rst
-	@echo "\n\n" >> CONTRIBUTING.rst
-	@cat docs/core_committer_guide.rst >> CONTRIBUTING.rst
-	@echo "\n\nAutogenerated from the docs via \`make contributing\`" >> CONTRIBUTING.rst
-	@echo "WARNING: Don't forget to replace any :ref: statements with literal names"
-
 .PHONY: help
 help:
 	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-16s\033[0m %s\n", $$1, $$2}'

=== docs/requirements.txt ===
watchdog>=0.8.3
sphinx-rtd-theme>=0.4.3
recommonmark>=0.6.0

=== debian/changelog ===
cookiecutter (1.7.3-3) unstable; urgency=high

  * Team Upload.
  * d/patches/0004-Fix-relative-path-that-come-from-Jinja2.patch: Add patch to
    fix the relative paths that come from Jinja2 in test_generate_file test
    (Closes: #1033431).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 29 Mar 2023 16:33:22 -0300

cookiecutter (1.7.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Jun 2022 21:51:04 -0400

cookiecutter (1.7.3-1) unstable; urgency=medium

  * New upstream release. Closes: #964934.
  * d/control: add recommonmark extension for Sphinx
  * d/control: update dependencies
  * d/control: update debhelper-compat and Standards-Version
  * d/control: update homepage
  * d/patches: update patches and remove the one around click
  * d/watch: update GitHub repository

 -- Vincent Bernat <bernat@debian.org>  Fri, 12 Nov 2021 20:44:54 +0100

cookiecutter (1.6.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Vincent Bernat ]
  * d/control: drop Python 2 package. Closes: #936334.
  * d/patches: add a patch to make tests work with only python3 installed.

 -- Vincent Bernat <bernat@debian.org>  Sun, 01 Sep 2019 17:01:10 +0200

=== debian/control ===
Source: cookiecutter
Section: python
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
               git,
               python3-all,
               python3-sphinx (>= 1.0.7+dfsg), python3-sphinx-rtd-theme,
               python3-recommonmark (>= 0.6.0),
               python3-setuptools,
               python3-jinja2,
               python3-jinja2-time,
               python3-mock,
               python3-binaryornot,
               python3-yaml,
               python3-pytest (>= 3.3.0),
               python3-pytest-mock,
               python3-pytest-cov,
               python3-click,
               python3-freezegun,
               python3-requests,
               python3-slugify,
Standards-Version: 4.6.0.1
Homepage: https://github.com/cookiecutter/cookiecutter
Vcs-Git: https://salsa.debian.org/python-team/packages/cookiecutter.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cookiecutter

Package: cookiecutter
Section: devel
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         python3-cookiecutter (= ${binary:Version})
Suggests: python-cookiecutter-doc
Description: create projects from project templates
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).

Package: python3-cookiecutter
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-ruamel.yaml (>= 0.10.12)
Suggests: python-cookiecutter-doc
Description: create projects from project templates (Python 3 module)
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).
 .
 This package contains the Python 3 module.

Package: python-cookiecutter-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Suggests: cookiecutter
Description: create projects from project templates (documentation)
 Cookiecutter is command-line utility that creates projects from
 project templates, e.g. creating a Python package project from a
 Python package project template.
 .
 It can also be used as a Python module. It supports local and remote
 templates. The templating is done with Jinja2 and there is no
 limitation on the language used by the templated projects (Python,
 Ruby, Javascript, C, HTML, Postscript...).
 .
 This package contains the documentation.

=== debian/watch ===
version=3
opts=filenamemangle=s/v?(\d\S*)\.tar\.gz/cookiecutter-$1.tar.gz/ \
  https://github.com/cookiecutter/cookiecutter/releases .*/v?(\d\S*)\.tar\.gz
